org.jboss.shrinkwrap.descriptor.api.connector17

## Interface OutboundResourceadapterType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface OutboundResourceadapterType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `outbound-resourceadapterType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationMechanismType<OutboundResourceadapterType<T>>` | `createAuthenticationMechanism()` Creates a new `authentication-mechanism` element
    `ConnectionDefinitionType<OutboundResourceadapterType<T>>` | `createConnectionDefinition()` Creates a new `connection-definition` element
    `java.util.List<AuthenticationMechanismType<OutboundResourceadapterType<T>>>` | `getAllAuthenticationMechanism()` Returns all `authentication-mechanism` elements
    `java.util.List<ConnectionDefinitionType<OutboundResourceadapterType<T>>>` | `getAllConnectionDefinition()` Returns all `connection-definition` elements
    `java.lang.String` | `getId()` Returns the `id` attribute
    `AuthenticationMechanismType<OutboundResourceadapterType<T>>` | `getOrCreateAuthenticationMechanism()` If not already created, a new `authentication-mechanism` element will be created and returned.
    `ConnectionDefinitionType<OutboundResourceadapterType<T>>` | `getOrCreateConnectionDefinition()` If not already created, a new `connection-definition` element will be created and returned.
    `TransactionSupportType` | `getTransactionSupport()` Returns the `transaction-support` element
    `java.lang.String` | `getTransactionSupportAsString()` Returns the `transaction-support` element
    `OutboundResourceadapterType<T>` | `id(java.lang.String id)` Sets the `id` attribute
    `java.lang.Boolean` | `isReauthenticationSupport()` Returns the `reauthentication-support` element
    `OutboundResourceadapterType<T>` | `reauthenticationSupport(java.lang.Boolean reauthenticationSupport)` Sets the `reauthentication-support` element
    `OutboundResourceadapterType<T>` | `removeAllAuthenticationMechanism()` Removes all `authentication-mechanism` elements
    `OutboundResourceadapterType<T>` | `removeAllConnectionDefinition()` Removes all `connection-definition` elements
    `OutboundResourceadapterType<T>` | `removeId()` Removes the `id` attribute
    `OutboundResourceadapterType<T>` | `removeReauthenticationSupport()` Removes the `reauthentication-support` element
    `OutboundResourceadapterType<T>` | `removeTransactionSupport()` Removes the `transaction-support` attribute
    `OutboundResourceadapterType<T>` | `transactionSupport(java.lang.String transactionSupport)` Sets the `transaction-support` element
    `OutboundResourceadapterType<T>` | `transactionSupport(TransactionSupportType transactionSupport)` Sets the `transaction-support` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### getOrCreateConnectionDefinition

          ConnectionDefinitionType<OutboundResourceadapterType<T>> getOrCreateConnectionDefinition()

      If not already created, a new `connection-definition` element will be created and returned. Otherwise, the first existing `connection-definition` element will be returned.
      Returns:
        the instance defined for the element `connection-definition`

    - #### createConnectionDefinition

          ConnectionDefinitionType<OutboundResourceadapterType<T>> createConnectionDefinition()

      Creates a new `connection-definition` element
      Returns:
        the new created instance of `ConnectionDefinitionType>`

    - #### getAllConnectionDefinition

          java.util.List<ConnectionDefinitionType<OutboundResourceadapterType<T>>> getAllConnectionDefinition()

      Returns all `connection-definition` elements
      Returns:
        list of `connection-definition`

    - #### removeAllConnectionDefinition

          OutboundResourceadapterType<T> removeAllConnectionDefinition()

      Removes all `connection-definition` elements
      Returns:
        the current instance of `ConnectionDefinitionType>`

    - #### transactionSupport

          OutboundResourceadapterType<T> transactionSupport(TransactionSupportType transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### transactionSupport

          OutboundResourceadapterType<T> transactionSupport(java.lang.String transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### getTransactionSupport

          TransactionSupportType getTransactionSupport()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### getTransactionSupportAsString

          java.lang.String getTransactionSupportAsString()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### removeTransactionSupport

          OutboundResourceadapterType<T> removeTransactionSupport()

      Removes the `transaction-support` attribute
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### getOrCreateAuthenticationMechanism

          AuthenticationMechanismType<OutboundResourceadapterType<T>> getOrCreateAuthenticationMechanism()

      If not already created, a new `authentication-mechanism` element will be created and returned. Otherwise, the first existing `authentication-mechanism` element will be returned.
      Returns:
        the instance defined for the element `authentication-mechanism`

    - #### createAuthenticationMechanism

          AuthenticationMechanismType<OutboundResourceadapterType<T>> createAuthenticationMechanism()

      Creates a new `authentication-mechanism` element
      Returns:
        the new created instance of `AuthenticationMechanismType>`

    - #### getAllAuthenticationMechanism

          java.util.List<AuthenticationMechanismType<OutboundResourceadapterType<T>>> getAllAuthenticationMechanism()

      Returns all `authentication-mechanism` elements
      Returns:
        list of `authentication-mechanism`

    - #### removeAllAuthenticationMechanism

          OutboundResourceadapterType<T> removeAllAuthenticationMechanism()

      Removes all `authentication-mechanism` elements
      Returns:
        the current instance of `AuthenticationMechanismType>`

    - #### reauthenticationSupport

          OutboundResourceadapterType<T> reauthenticationSupport(java.lang.Boolean reauthenticationSupport)

      Sets the `reauthentication-support` element
      Parameters:
        `reauthenticationSupport` - the value for the element `reauthentication-support`
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### isReauthenticationSupport

          java.lang.Boolean isReauthenticationSupport()

      Returns the `reauthentication-support` element
      Returns:
        the node defined for the element `reauthentication-support`

    - #### removeReauthenticationSupport

          OutboundResourceadapterType<T> removeReauthenticationSupport()

      Removes the `reauthentication-support` element
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### id

          OutboundResourceadapterType<T> id(java.lang.String id)

      Sets the `id` attribute
      Parameters:
        `id` - the value for the attribute `id`
      Returns:
        the current instance of `OutboundResourceadapterType`

    - #### getId

          java.lang.String getId()

      Returns the `id` attribute
      Returns:
        the value defined for the attribute `id`

    - #### removeId

          OutboundResourceadapterType<T> removeId()

      Removes the `id` attribute
      Returns:
        the current instance of `OutboundResourceadapterType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)